testframework.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/testmodule.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_TEST_FRAMEWORK | GWEN_TEST_FRAMEWORK

## Functions

GWENHYWFAR_API void | TestFramework_AddModule (GWEN_TEST_FRAMEWORK *tf, GWEN_TEST_MODULE *mod)
GWENHYWFAR_API void | TestFramework_free (GWEN_TEST_FRAMEWORK *tf)
GWENHYWFAR_API GWEN_TEST_MODULE * | TestFramework_GetModulesRoot (const GWEN_TEST_FRAMEWORK *tf)
GWENHYWFAR_API GWEN_TEST_FRAMEWORK * | TestFramework_new (void)
GWENHYWFAR_API int | TestFramework_Run (GWEN_TEST_FRAMEWORK *tf, int argc, char **argv)

## Typedef Documentation

## GWEN_TEST_FRAMEWORK

typedef struct GWEN_TEST_FRAMEWORK GWEN_TEST_FRAMEWORK

Definition at line 23 of file testframework.h.

## Function Documentation

## TestFramework_AddModule()

GWENHYWFAR_API void TestFramework_AddModule | ( | GWEN_TEST_FRAMEWORK * | tf,
|  | GWEN_TEST_MODULE * | mod )

References GWENHYWFAR_API.

## TestFramework_free()

GWENHYWFAR_API void TestFramework_free | ( | GWEN_TEST_FRAMEWORK * | tf | ) |

References GWENHYWFAR_API.

## TestFramework_GetModulesRoot()

GWENHYWFAR_API GWEN_TEST_MODULE * TestFramework_GetModulesRoot | ( | const GWEN_TEST_FRAMEWORK * | tf | ) |

References GWENHYWFAR_API.

## TestFramework_new()

GWENHYWFAR_API GWEN_TEST_FRAMEWORK * TestFramework_new | ( | void |  | ) |

References GWENHYWFAR_API.

## TestFramework_Run()

GWENHYWFAR_API int TestFramework_Run | ( | GWEN_TEST_FRAMEWORK * | tf,
|  | int | argc,
|  | char ** | argv )

References GWENHYWFAR_API.